"Types for ISUP"
MSGFixedField subclass: ISUPEndOfOptionalParameters [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPEndOfOptionalParameters class >> parameterName [ <category: 'field'> ^ 'End of optional parameters' ]
    ISUPEndOfOptionalParameters class >> parameterValue [ <category: 'field'> ^ ISUPConstants parEndOfOptionalParameters ]
    ISUPEndOfOptionalParameters class >> octalLength [ <category: 'field'> ^ 0 ]
    ISUPEndOfOptionalParameters class >> spec [ <category: 'field'> ^ '3.20' ]
    ISUPEndOfOptionalParameters class >> lengthLength [ <category: 'field'> ^ 0 ]

]

MSGVariableField subclass: ISUPCorrelationId [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCorrelationId class >> parameterName [ <category: 'field'> ^ 'Correlation id' ]
    ISUPCorrelationId class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCorrelationId ]
    ISUPCorrelationId class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCorrelationId class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCorrelationId class >> spec [ <category: 'field'> ^ '3.70' ]
]

MSGFixedField subclass: ISUPCallingPartysCategory [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPCallingPartysCategory class >> parameterName [ <category: 'field'> ^ 'Calling party''s category' ]
    ISUPCallingPartysCategory class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallingPartysCategory ]
    ISUPCallingPartysCategory class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCallingPartysCategory class >> spec [ <category: 'field'> ^ '3.11' ]
]

MSGFixedField subclass: ISUPPivotStatus [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPPivotStatus class >> parameterName [ <category: 'field'> ^ 'Pivot status' ]
    ISUPPivotStatus class >> parameterValue [ <category: 'field'> ^ ISUPConstants parPivotStatus ]
    ISUPPivotStatus class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPPivotStatus class >> spec [ <category: 'field'> ^ '3.92' ]
]

MSGFixedField subclass: ISUPCollectCallRequest [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPCollectCallRequest class >> parameterName [ <category: 'field'> ^ 'Collect call request' ]
    ISUPCollectCallRequest class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCollectCallRequest ]
    ISUPCollectCallRequest class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCollectCallRequest class >> spec [ <category: 'field'> ^ '3.81' ]
]

MSGVariableField subclass: ISUPSubsequentNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPSubsequentNumber class >> parameterName [ <category: 'field'> ^ 'Subsequent number' ]
    ISUPSubsequentNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parSubsequentNumber ]
    ISUPSubsequentNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPSubsequentNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPSubsequentNumber class >> spec [ <category: 'field'> ^ '3.51' ]
]

MSGFixedField subclass: ISUPNatureOfConnectionIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPNatureOfConnectionIndicators class >> parameterName [ <category: 'field'> ^ 'Nature of connection indicators' ]
    ISUPNatureOfConnectionIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parNatureOfConnectionIndicators ]
    ISUPNatureOfConnectionIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPNatureOfConnectionIndicators class >> spec [ <category: 'field'> ^ '3.35' ]
]

MSGFixedField subclass: ISUPPropagationDelayCounter [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPPropagationDelayCounter class >> parameterName [ <category: 'field'> ^ 'Propagation delay counter' ]
    ISUPPropagationDelayCounter class >> parameterValue [ <category: 'field'> ^ ISUPConstants parPropagationDelayCounter ]
    ISUPPropagationDelayCounter class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPPropagationDelayCounter class >> spec [ <category: 'field'> ^ '3.42' ]
]

MSGFixedField subclass: ISUPRedirectCounter [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPRedirectCounter class >> parameterName [ <category: 'field'> ^ 'Redirect counter' ]
    ISUPRedirectCounter class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectCounter ]
    ISUPRedirectCounter class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPRedirectCounter class >> spec [ <category: 'field'> ^ '3.97' ]
]

MSGFixedField subclass: ISUPForwardCallIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPForwardCallIndicators class >> parameterName [ <category: 'field'> ^ 'Forward call indicators' ]
    ISUPForwardCallIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parForwardCallIndicators ]
    ISUPForwardCallIndicators class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPForwardCallIndicators class >> spec [ <category: 'field'> ^ '3.23' ]
]

MSGVariableField subclass: ISUPBackwardGVNS [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPBackwardGVNS class >> parameterName [ <category: 'field'> ^ 'Backward GVNS' ]
    ISUPBackwardGVNS class >> parameterValue [ <category: 'field'> ^ ISUPConstants parBackwardGVNS ]
    ISUPBackwardGVNS class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPBackwardGVNS class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPBackwardGVNS class >> spec [ <category: 'field'> ^ '3.62' ]
]

MSGFixedField subclass: ISUPOptionalForwardCallIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPOptionalForwardCallIndicators class >> parameterName [ <category: 'field'> ^ 'Optional forward call indicators' ]
    ISUPOptionalForwardCallIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parOptionalForwardCallIndicators ]
    ISUPOptionalForwardCallIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPOptionalForwardCallIndicators class >> spec [ <category: 'field'> ^ '3.38' ]
]

MSGVariableField subclass: ISUPUserServiceInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPUserServiceInformation class >> parameterName [ <category: 'field'> ^ 'User service information' ]
    ISUPUserServiceInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parUserServiceInformation ]
    ISUPUserServiceInformation class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPUserServiceInformation class >> maxLength [ <category: 'field'> ^ 11 ]
    ISUPUserServiceInformation class >> spec [ <category: 'field'> ^ '3.57' ]
]

MSGVariableField subclass: ISUPNetworkManagementControls [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPNetworkManagementControls class >> parameterName [ <category: 'field'> ^ 'Network management controls' ]
    ISUPNetworkManagementControls class >> parameterValue [ <category: 'field'> ^ ISUPConstants parNetworkManagementControls ]
    ISUPNetworkManagementControls class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPNetworkManagementControls class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPNetworkManagementControls class >> spec [ <category: 'field'> ^ '3.68' ]
]

MSGVariableField subclass: ISUPCalledINNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCalledINNumber class >> parameterName [ <category: 'field'> ^ 'Called IN number' ]
    ISUPCalledINNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCalledINNumber ]
    ISUPCalledINNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPCalledINNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCalledINNumber class >> spec [ <category: 'field'> ^ '3.73' ]
]

MSGVariableField subclass: ISUPCauseIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCauseIndicators class >> parameterName [ <category: 'field'> ^ 'Cause indicators' ]
    ISUPCauseIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCauseIndicators ]
    ISUPCauseIndicators class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPCauseIndicators class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCauseIndicators class >> spec [ <category: 'field'> ^ '3.12' ]
]

MSGFixedField subclass: ISUPQoRCapability [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPQoRCapability class >> parameterName [ <category: 'field'> ^ 'QoR capability' ]
    ISUPQoRCapability class >> parameterValue [ <category: 'field'> ^ ISUPConstants parQoRCapability ]
    ISUPQoRCapability class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPQoRCapability class >> spec [ <category: 'field'> ^ '3.91' ]
]

MSGFixedField subclass: ISUPCallTransferReference [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPCallTransferReference class >> parameterName [ <category: 'field'> ^ 'Call transfer reference' ]
    ISUPCallTransferReference class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallTransferReference ]
    ISUPCallTransferReference class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCallTransferReference class >> spec [ <category: 'field'> ^ '3.65' ]
]

MSGFixedField subclass: ISUPAutomaticCongestionLevel [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPAutomaticCongestionLevel class >> parameterName [ <category: 'field'> ^ 'Automatic congestion level' ]
    ISUPAutomaticCongestionLevel class >> parameterValue [ <category: 'field'> ^ ISUPConstants parAutomaticCongestionLevel ]
    ISUPAutomaticCongestionLevel class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPAutomaticCongestionLevel class >> spec [ <category: 'field'> ^ '3.4' ]
]

MSGVariableField subclass: ISUPRemoteOperations [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPRemoteOperations class >> parameterName [ <category: 'field'> ^ 'Remote operations' ]
    ISUPRemoteOperations class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRemoteOperations ]
    ISUPRemoteOperations class >> octalLength [ <category: 'field'> ^ 6 ]
    ISUPRemoteOperations class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPRemoteOperations class >> spec [ <category: 'field'> ^ '3.48' ]
]

MSGFixedField subclass: ISUPSuspendResumeIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPSuspendResumeIndicators class >> parameterName [ <category: 'field'> ^ 'Suspend/resume indicators' ]
    ISUPSuspendResumeIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parSuspendResumeIndicators ]
    ISUPSuspendResumeIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPSuspendResumeIndicators class >> spec [ <category: 'field'> ^ '3.52' ]
]

MSGVariableField subclass: ISUPRedirectionInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPRedirectionInformation class >> parameterName [ <category: 'field'> ^ 'Redirection information' ]
    ISUPRedirectionInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectionInformation ]
    ISUPRedirectionInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPRedirectionInformation class >> maxLength [ <category: 'field'> ^ 2 ]
    ISUPRedirectionInformation class >> spec [ <category: 'field'> ^ '3.45' ]
]

MSGVariableField subclass: ISUPConferenceTreatmentIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPConferenceTreatmentIndicators class >> parameterName [ <category: 'field'> ^ 'Conference treatment indicators' ]
    ISUPConferenceTreatmentIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parConferenceTreatmentIndicators ]
    ISUPConferenceTreatmentIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPConferenceTreatmentIndicators class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPConferenceTreatmentIndicators class >> spec [ <category: 'field'> ^ '3.76' ]
]

MSGVariableField subclass: ISUPConnectionRequest [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPConnectionRequest class >> parameterName [ <category: 'field'> ^ 'Connection request' ]
    ISUPConnectionRequest class >> parameterValue [ <category: 'field'> ^ ISUPConstants parConnectionRequest ]
    ISUPConnectionRequest class >> octalLength [ <category: 'field'> ^ 5 ]
    ISUPConnectionRequest class >> maxLength [ <category: 'field'> ^ 7 ]
    ISUPConnectionRequest class >> spec [ <category: 'field'> ^ '3.17' ]
]

MSGFixedField subclass: ISUPCallHistoryInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPCallHistoryInformation class >> parameterName [ <category: 'field'> ^ 'Call history information' ]
    ISUPCallHistoryInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallHistoryInformation ]
    ISUPCallHistoryInformation class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPCallHistoryInformation class >> spec [ <category: 'field'> ^ '3.7' ]
]

MSGVariableField subclass: ISUPCalledDirectoryNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCalledDirectoryNumber class >> parameterName [ <category: 'field'> ^ 'Called directory number' ]
    ISUPCalledDirectoryNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCalledDirectoryNumber ]
    ISUPCalledDirectoryNumber class >> octalLength [ <category: 'field'> ^ 3 ]
    ISUPCalledDirectoryNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCalledDirectoryNumber class >> spec [ <category: 'field'> ^ '3.86' ]
]

MSGFixedField subclass: ISUPRedirectCapability [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPRedirectCapability class >> parameterName [ <category: 'field'> ^ 'Redirect capability' ]
    ISUPRedirectCapability class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectCapability ]
    ISUPRedirectCapability class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPRedirectCapability class >> spec [ <category: 'field'> ^ '3.96' ]
]

MSGVariableField subclass: ISUPRedirectBackwardInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPRedirectBackwardInformation class >> parameterName [ <category: 'field'> ^ 'Redirect backward information' ]
    ISUPRedirectBackwardInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectBackwardInformation ]
    ISUPRedirectBackwardInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPRedirectBackwardInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPRedirectBackwardInformation class >> spec [ <category: 'field'> ^ '3.100' ]
]

MSGVariableField subclass: ISUPGenericDigits [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPGenericDigits class >> parameterName [ <category: 'field'> ^ 'Generic digits' ]
    ISUPGenericDigits class >> parameterValue [ <category: 'field'> ^ ISUPConstants parGenericDigits ]
    ISUPGenericDigits class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPGenericDigits class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPGenericDigits class >> spec [ <category: 'field'> ^ '3.24' ]
]

MSGVariableField subclass: ISUPOriginalCalledNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPOriginalCalledNumber class >> parameterName [ <category: 'field'> ^ 'Original called number' ]
    ISUPOriginalCalledNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parOriginalCalledNumber ]
    ISUPOriginalCalledNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPOriginalCalledNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPOriginalCalledNumber class >> spec [ <category: 'field'> ^ '3.39' ]
]

MSGVariableField subclass: ISUPRedirectionNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPRedirectionNumber class >> parameterName [ <category: 'field'> ^ 'Redirection number' ]
    ISUPRedirectionNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectionNumber ]
    ISUPRedirectionNumber class >> octalLength [ <category: 'field'> ^ 3 ]
    ISUPRedirectionNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPRedirectionNumber class >> spec [ <category: 'field'> ^ '3.46' ]
]

MSGFixedField subclass: ISUPPivotRoutingIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPPivotRoutingIndicators class >> parameterName [ <category: 'field'> ^ 'Pivot routing indicators' ]
    ISUPPivotRoutingIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parPivotRoutingIndicators ]
    ISUPPivotRoutingIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPPivotRoutingIndicators class >> spec [ <category: 'field'> ^ '3.85' ]
]

MSGVariableField subclass: ISUPCallingGeodeticLocation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCallingGeodeticLocation class >> parameterName [ <category: 'field'> ^ 'Calling geodetic location' ]
    ISUPCallingGeodeticLocation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallingGeodeticLocation ]
    ISUPCallingGeodeticLocation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCallingGeodeticLocation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCallingGeodeticLocation class >> spec [ <category: 'field'> ^ '3.88' ]
]

MSGVariableField subclass: ISUPSCFId [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPSCFId class >> parameterName [ <category: 'field'> ^ 'SCF id' ]
    ISUPSCFId class >> parameterValue [ <category: 'field'> ^ ISUPConstants parSCFId ]
    ISUPSCFId class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPSCFId class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPSCFId class >> spec [ <category: 'field'> ^ '3.71' ]
]

MSGFixedField subclass: ISUPPivotCounter [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPPivotCounter class >> parameterName [ <category: 'field'> ^ 'Pivot counter' ]
    ISUPPivotCounter class >> parameterValue [ <category: 'field'> ^ ISUPConstants parPivotCounter ]
    ISUPPivotCounter class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPPivotCounter class >> spec [ <category: 'field'> ^ '3.93' ]
]

MSGFixedField subclass: ISUPAccessDeliveryInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPAccessDeliveryInformation class >> parameterName [ <category: 'field'> ^ 'Access delivery information' ]
    ISUPAccessDeliveryInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parAccessDeliveryInformation ]
    ISUPAccessDeliveryInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPAccessDeliveryInformation class >> spec [ <category: 'field'> ^ '3.2' ]
]

MSGVariableField subclass: ISUPCallingPartyNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCallingPartyNumber class >> parameterName [ <category: 'field'> ^ 'Calling party number' ]
    ISUPCallingPartyNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallingPartyNumber ]
    ISUPCallingPartyNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPCallingPartyNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCallingPartyNumber class >> spec [ <category: 'field'> ^ '3.10' ]
]

MSGFixedField subclass: ISUPSignallingPointCode [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPSignallingPointCode class >> parameterName [ <category: 'field'> ^ 'Signalling point code' ]
    ISUPSignallingPointCode class >> parameterValue [ <category: 'field'> ^ ISUPConstants parSignallingPointCode ]
    ISUPSignallingPointCode class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPSignallingPointCode class >> spec [ <category: 'field'> ^ '3.50' ]
]

MSGFixedField subclass: ISUPMLPPPrecedence [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPMLPPPrecedence class >> parameterName [ <category: 'field'> ^ 'MLPP precedence' ]
    ISUPMLPPPrecedence class >> parameterValue [ <category: 'field'> ^ ISUPConstants parMLPPPrecedence ]
    ISUPMLPPPrecedence class >> octalLength [ <category: 'field'> ^ 6 ]
    ISUPMLPPPrecedence class >> spec [ <category: 'field'> ^ '3.34' ]
]

MSGVariableField subclass: ISUPForwardGVNS [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPForwardGVNS class >> parameterName [ <category: 'field'> ^ 'Forward GVNS' ]
    ISUPForwardGVNS class >> parameterValue [ <category: 'field'> ^ ISUPConstants parForwardGVNS ]
    ISUPForwardGVNS class >> octalLength [ <category: 'field'> ^ 3 ]
    ISUPForwardGVNS class >> maxLength [ <category: 'field'> ^ 24 ]
    ISUPForwardGVNS class >> spec [ <category: 'field'> ^ '3.66' ]
]

MSGVariableField subclass: ISUPTransitNetworkSelection [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPTransitNetworkSelection class >> parameterName [ <category: 'field'> ^ 'Transit network selection' ]
    ISUPTransitNetworkSelection class >> parameterValue [ <category: 'field'> ^ ISUPConstants parTransitNetworkSelection ]
    ISUPTransitNetworkSelection class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPTransitNetworkSelection class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPTransitNetworkSelection class >> spec [ <category: 'field'> ^ '3.53' ]
]

MSGVariableField subclass: ISUPDisplayInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPDisplayInformation class >> parameterName [ <category: 'field'> ^ 'Display information' ]
    ISUPDisplayInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parDisplayInformation ]
    ISUPDisplayInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPDisplayInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPDisplayInformation class >> spec [ <category: 'field'> ^ '3.77' ]
]

MSGFixedField subclass: ISUPCallReference [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPCallReference class >> parameterName [ <category: 'field'> ^ 'Call reference' ]
    ISUPCallReference class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallReference ]
    ISUPCallReference class >> octalLength [ <category: 'field'> ^ 5 ]
    ISUPCallReference class >> spec [ <category: 'field'> ^ '3.8' ]
]

MSGVariableField subclass: ISUPUserToUserInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPUserToUserInformation class >> parameterName [ <category: 'field'> ^ 'User-to-user information' ]
    ISUPUserToUserInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parUserToUserInformation ]
    ISUPUserToUserInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPUserToUserInformation class >> maxLength [ <category: 'field'> ^ 129 ]
    ISUPUserToUserInformation class >> spec [ <category: 'field'> ^ '3.61' ]
]

MSGVariableField subclass: ISUPConnectedNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPConnectedNumber class >> parameterName [ <category: 'field'> ^ 'Connected number' ]
    ISUPConnectedNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parConnectedNumber ]
    ISUPConnectedNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPConnectedNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPConnectedNumber class >> spec [ <category: 'field'> ^ '3.16' ]
]

MSGFixedField subclass: ISUPTransmissionMediumUsed [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPTransmissionMediumUsed class >> parameterName [ <category: 'field'> ^ 'Transmission medium used' ]
    ISUPTransmissionMediumUsed class >> parameterValue [ <category: 'field'> ^ ISUPConstants parTransmissionMediumUsed ]
    ISUPTransmissionMediumUsed class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPTransmissionMediumUsed class >> spec [ <category: 'field'> ^ '3.56' ]
]

MSGFixedField subclass: ISUPInformationRequestIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPInformationRequestIndicators class >> parameterName [ <category: 'field'> ^ 'Information request indicators' ]
    ISUPInformationRequestIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parInformationRequestIndicators ]
    ISUPInformationRequestIndicators class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPInformationRequestIndicators class >> spec [ <category: 'field'> ^ '3.29' ]
]

MSGVariableField subclass: ISUPApplicationTransportParameter [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPApplicationTransportParameter class >> parameterName [ <category: 'field'> ^ 'Application transport parameter' ]
    ISUPApplicationTransportParameter class >> parameterValue [ <category: 'field'> ^ ISUPConstants parApplicationTransportParameter ]
    ISUPApplicationTransportParameter class >> octalLength [ <category: 'field'> ^ 3 ]
    ISUPApplicationTransportParameter class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPApplicationTransportParameter class >> spec [ <category: 'field'> ^ '3.82' ]
]

MSGVariableField subclass: ISUPCallDiversionTreatmentIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCallDiversionTreatmentIndicators class >> parameterName [ <category: 'field'> ^ 'Call diversion treatment indicators' ]
    ISUPCallDiversionTreatmentIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallDiversionTreatmentIndicators ]
    ISUPCallDiversionTreatmentIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCallDiversionTreatmentIndicators class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCallDiversionTreatmentIndicators class >> spec [ <category: 'field'> ^ '3.72' ]
]

MSGVariableField subclass: ISUPParameterCompatibilityInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPParameterCompatibilityInformation class >> parameterName [ <category: 'field'> ^ 'Parameter compatibility information' ]
    ISUPParameterCompatibilityInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parParameterCompatibilityInformation ]
    ISUPParameterCompatibilityInformation class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPParameterCompatibilityInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPParameterCompatibilityInformation class >> spec [ <category: 'field'> ^ '3.41' ]
]

MSGVariableField subclass: ISUPNetworkRoutingNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPNetworkRoutingNumber class >> parameterName [ <category: 'field'> ^ 'Network routing number' ]
    ISUPNetworkRoutingNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parNetworkRoutingNumber ]
    ISUPNetworkRoutingNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPNetworkRoutingNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPNetworkRoutingNumber class >> spec [ <category: 'field'> ^ '3.90' ]
]

MSGVariableField subclass: ISUPAccessTransport [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPAccessTransport class >> parameterName [ <category: 'field'> ^ 'Access transport' ]
    ISUPAccessTransport class >> parameterValue [ <category: 'field'> ^ ISUPConstants parAccessTransport ]
    ISUPAccessTransport class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPAccessTransport class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPAccessTransport class >> spec [ <category: 'field'> ^ '3.3' ]
]

MSGFixedField subclass: ISUPCircuitGroupSupervisionMessageType [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPCircuitGroupSupervisionMessageType class >> parameterName [ <category: 'field'> ^ 'Circuit group supervision message type' ]
    ISUPCircuitGroupSupervisionMessageType class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCircuitGroupSupervisionMessageType ]
    ISUPCircuitGroupSupervisionMessageType class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCircuitGroupSupervisionMessageType class >> spec [ <category: 'field'> ^ '3.13' ]
]

MSGVariableField subclass: ISUPUserTeleserviceInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPUserTeleserviceInformation class >> parameterName [ <category: 'field'> ^ 'User teleservice information' ]
    ISUPUserTeleserviceInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parUserTeleserviceInformation ]
    ISUPUserTeleserviceInformation class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPUserTeleserviceInformation class >> maxLength [ <category: 'field'> ^ 3 ]
    ISUPUserTeleserviceInformation class >> spec [ <category: 'field'> ^ '3.59' ]
]

MSGVariableField subclass: ISUPHTRInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPHTRInformation class >> parameterName [ <category: 'field'> ^ 'HTR information' ]
    ISUPHTRInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parHTRInformation ]
    ISUPHTRInformation class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPHTRInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPHTRInformation class >> spec [ <category: 'field'> ^ '3.89' ]
]

MSGFixedField subclass: ISUPInformationIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPInformationIndicators class >> parameterName [ <category: 'field'> ^ 'Information indicators' ]
    ISUPInformationIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parInformationIndicators ]
    ISUPInformationIndicators class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPInformationIndicators class >> spec [ <category: 'field'> ^ '3.28' ]
]

MSGFixedField subclass: ISUPCallDiversionInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPCallDiversionInformation class >> parameterName [ <category: 'field'> ^ 'Call diversion information' ]
    ISUPCallDiversionInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallDiversionInformation ]
    ISUPCallDiversionInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCallDiversionInformation class >> spec [ <category: 'field'> ^ '3.6' ]
]

MSGVariableField subclass: ISUPCircuitStateIndicator [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCircuitStateIndicator class >> parameterName [ <category: 'field'> ^ 'Circuit state indicator' ]
    ISUPCircuitStateIndicator class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCircuitStateIndicator ]
    ISUPCircuitStateIndicator class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCircuitStateIndicator class >> maxLength [ <category: 'field'> ^ 32 ]
    ISUPCircuitStateIndicator class >> spec [ <category: 'field'> ^ '3.14' ]
]

MSGFixedField subclass: ISUPLoopPreventionIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPLoopPreventionIndicators class >> parameterName [ <category: 'field'> ^ 'Loop prevention indicators' ]
    ISUPLoopPreventionIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parLoopPreventionIndicators ]
    ISUPLoopPreventionIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPLoopPreventionIndicators class >> spec [ <category: 'field'> ^ '3.67' ]
]

MSGVariableField subclass: ISUPChargedPartyIdentification [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPChargedPartyIdentification class >> parameterName [ <category: 'field'> ^ 'Charged party identification' ]
    ISUPChargedPartyIdentification class >> parameterValue [ <category: 'field'> ^ ISUPConstants parChargedPartyIdentification ]
    ISUPChargedPartyIdentification class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPChargedPartyIdentification class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPChargedPartyIdentification class >> spec [ <category: 'field'> ^ '3.75' ]
]

MSGVariableField subclass: ISUPLocationNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPLocationNumber class >> parameterName [ <category: 'field'> ^ 'Location number' ]
    ISUPLocationNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parLocationNumber ]
    ISUPLocationNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPLocationNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPLocationNumber class >> spec [ <category: 'field'> ^ '3.30' ]
]

MSGVariableField subclass: ISUPNumberPortabilityForwardInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPNumberPortabilityForwardInformation class >> parameterName [ <category: 'field'> ^ 'Number portability forward information' ]
    ISUPNumberPortabilityForwardInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parNumberPortabilityForwardInformation ]
    ISUPNumberPortabilityForwardInformation class >> octalLength [ <category: 'field'> ^ -1 ]
    ISUPNumberPortabilityForwardInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPNumberPortabilityForwardInformation class >> spec [ <category: 'field'> ^ '3.101' ]
]

MSGFixedField subclass: ISUPTransmissionMediumRequirement [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPTransmissionMediumRequirement class >> parameterName [ <category: 'field'> ^ 'Transmission medium requirement' ]
    ISUPTransmissionMediumRequirement class >> parameterValue [ <category: 'field'> ^ ISUPConstants parTransmissionMediumRequirement ]
    ISUPTransmissionMediumRequirement class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPTransmissionMediumRequirement class >> spec [ <category: 'field'> ^ '3.54' ]
]

MSGFixedField subclass: ISUPEchoControlInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPEchoControlInformation class >> parameterName [ <category: 'field'> ^ 'Echo control information' ]
    ISUPEchoControlInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parEchoControlInformation ]
    ISUPEchoControlInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPEchoControlInformation class >> spec [ <category: 'field'> ^ '3.19' ]
]

MSGVariableField subclass: ISUPCalledPartyNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCalledPartyNumber class >> parameterName [ <category: 'field'> ^ 'Called party number' ]
    ISUPCalledPartyNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCalledPartyNumber ]
    ISUPCalledPartyNumber class >> octalLength [ <category: 'field'> ^ 3 ]
    ISUPCalledPartyNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCalledPartyNumber class >> spec [ <category: 'field'> ^ '3.9' ]
]

MSGFixedField subclass: ISUPRedirectionNumberRestriction [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPRedirectionNumberRestriction class >> parameterName [ <category: 'field'> ^ 'Redirection number restriction' ]
    ISUPRedirectionNumberRestriction class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectionNumberRestriction ]
    ISUPRedirectionNumberRestriction class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPRedirectionNumberRestriction class >> spec [ <category: 'field'> ^ '3.47' ]
]

MSGVariableField subclass: ISUPUIDActionIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPUIDActionIndicators class >> parameterName [ <category: 'field'> ^ 'UID action indicators' ]
    ISUPUIDActionIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parUIDActionIndicators ]
    ISUPUIDActionIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPUIDActionIndicators class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPUIDActionIndicators class >> spec [ <category: 'field'> ^ '3.78' ]
]

MSGFixedField subclass: ISUPPivotCapability [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPPivotCapability class >> parameterName [ <category: 'field'> ^ 'Pivot capability' ]
    ISUPPivotCapability class >> parameterValue [ <category: 'field'> ^ ISUPConstants parPivotCapability ]
    ISUPPivotCapability class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPPivotCapability class >> spec [ <category: 'field'> ^ '3.84' ]
]

MSGFixedField subclass: ISUPRange [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPRange class >> parameterName [ <category: 'field'> ^ 'Range' ]
    ISUPRange class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRange ]
    ISUPRange class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPRange class >> spec [ <category: 'field'> ^ '3.43b' ]
]

MSGFixedField subclass: ISUPFacilityIndicator [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPFacilityIndicator class >> parameterName [ <category: 'field'> ^ 'Facility indicator' ]
    ISUPFacilityIndicator class >> parameterValue [ <category: 'field'> ^ ISUPConstants parFacilityIndicator ]
    ISUPFacilityIndicator class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPFacilityIndicator class >> spec [ <category: 'field'> ^ '3.22' ]
]

MSGVariableField subclass: ISUPPivotRoutingForwardInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPPivotRoutingForwardInformation class >> parameterName [ <category: 'field'> ^ 'Pivot routing forward information' ]
    ISUPPivotRoutingForwardInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parPivotRoutingForwardInformation ]
    ISUPPivotRoutingForwardInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPPivotRoutingForwardInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPPivotRoutingForwardInformation class >> spec [ <category: 'field'> ^ '3.94' ]
]

MSGFixedField subclass: ISUPCCNRPossibleIndicator [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPCCNRPossibleIndicator class >> parameterName [ <category: 'field'> ^ 'CCNR possible indicator' ]
    ISUPCCNRPossibleIndicator class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCCNRPossibleIndicator ]
    ISUPCCNRPossibleIndicator class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCCNRPossibleIndicator class >> spec [ <category: 'field'> ^ '3.83' ]
]

MSGFixedField subclass: ISUPOriginationISCPointCode [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPOriginationISCPointCode class >> parameterName [ <category: 'field'> ^ 'Origination ISC point code' ]
    ISUPOriginationISCPointCode class >> parameterValue [ <category: 'field'> ^ ISUPConstants parOriginationISCPointCode ]
    ISUPOriginationISCPointCode class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPOriginationISCPointCode class >> spec [ <category: 'field'> ^ '3.40' ]
]

MSGVariableField subclass: ISUPMessageCompatibilityInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPMessageCompatibilityInformation class >> parameterName [ <category: 'field'> ^ 'Message compatibility information' ]
    ISUPMessageCompatibilityInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parMessageCompatibilityInformation ]
    ISUPMessageCompatibilityInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPMessageCompatibilityInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPMessageCompatibilityInformation class >> spec [ <category: 'field'> ^ '3.33' ]
]

MSGVariableField subclass: ISUPRedirectForwardInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPRedirectForwardInformation class >> parameterName [ <category: 'field'> ^ 'Redirect forward information' ]
    ISUPRedirectForwardInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectForwardInformation ]
    ISUPRedirectForwardInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPRedirectForwardInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPRedirectForwardInformation class >> spec [ <category: 'field'> ^ '3.99' ]
]

MSGFixedField subclass: ISUPGenericNotificationIndicator [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPGenericNotificationIndicator class >> parameterName [ <category: 'field'> ^ 'Generic notification indicator' ]
    ISUPGenericNotificationIndicator class >> parameterValue [ <category: 'field'> ^ ISUPConstants parGenericNotificationIndicator ]
    ISUPGenericNotificationIndicator class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPGenericNotificationIndicator class >> spec [ <category: 'field'> ^ '3.25' ]
]

MSGFixedField subclass: ISUPUserToUserIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPUserToUserIndicators class >> parameterName [ <category: 'field'> ^ 'User-to-user indicators' ]
    ISUPUserToUserIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parUserToUserIndicators ]
    ISUPUserToUserIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPUserToUserIndicators class >> spec [ <category: 'field'> ^ '3.60' ]
]

MSGVariableField subclass: ISUPNetworkSpecificFacility [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPNetworkSpecificFacility class >> parameterName [ <category: 'field'> ^ 'Network specific facility' ]
    ISUPNetworkSpecificFacility class >> parameterValue [ <category: 'field'> ^ ISUPConstants parNetworkSpecificFacility ]
    ISUPNetworkSpecificFacility class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPNetworkSpecificFacility class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPNetworkSpecificFacility class >> spec [ <category: 'field'> ^ '3.36' ]
]

MSGFixedField subclass: ISUPMCIDRequestIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPMCIDRequestIndicators class >> parameterName [ <category: 'field'> ^ 'MCID request indicators' ]
    ISUPMCIDRequestIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parMCIDRequestIndicators ]
    ISUPMCIDRequestIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPMCIDRequestIndicators class >> spec [ <category: 'field'> ^ '3.31' ]
]

MSGFixedField subclass: ISUPTransmissionMediumRequirementPrime [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPTransmissionMediumRequirementPrime class >> parameterName [ <category: 'field'> ^ 'Transmission medium requirement prime' ]
    ISUPTransmissionMediumRequirementPrime class >> parameterValue [ <category: 'field'> ^ ISUPConstants parTransmissionMediumRequirementPrime ]
    ISUPTransmissionMediumRequirementPrime class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPTransmissionMediumRequirementPrime class >> spec [ <category: 'field'> ^ '3.55' ]
]

MSGFixedField subclass: ISUPContinuityIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPContinuityIndicators class >> parameterName [ <category: 'field'> ^ 'Continuity indicators' ]
    ISUPContinuityIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parContinuityIndicators ]
    ISUPContinuityIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPContinuityIndicators class >> spec [ <category: 'field'> ^ '3.18' ]
]

MSGVariableField subclass: ISUPCCSS [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCCSS class >> parameterName [ <category: 'field'> ^ 'CCSS' ]
    ISUPCCSS class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCCSS ]
    ISUPCCSS class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCCSS class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCCSS class >> spec [ <category: 'field'> ^ '3.63' ]
]

MSGVariableField subclass: ISUPUIDCapabilityIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPUIDCapabilityIndicators class >> parameterName [ <category: 'field'> ^ 'UID capability indicators' ]
    ISUPUIDCapabilityIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parUIDCapabilityIndicators ]
    ISUPUIDCapabilityIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPUIDCapabilityIndicators class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPUIDCapabilityIndicators class >> spec [ <category: 'field'> ^ '3.79' ]
]

MSGVariableField subclass: ISUPUserServiceInformationPrime [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPUserServiceInformationPrime class >> parameterName [ <category: 'field'> ^ 'User service information prime' ]
    ISUPUserServiceInformationPrime class >> parameterValue [ <category: 'field'> ^ ISUPConstants parUserServiceInformationPrime ]
    ISUPUserServiceInformationPrime class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPUserServiceInformationPrime class >> maxLength [ <category: 'field'> ^ 11 ]
    ISUPUserServiceInformationPrime class >> spec [ <category: 'field'> ^ '3.58' ]
]

MSGVariableField subclass: ISUPGenericReference [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPGenericReference class >> parameterName [ <category: 'field'> ^ 'Generic reference' ]
    ISUPGenericReference class >> parameterValue [ <category: 'field'> ^ ISUPConstants parGenericReference ]
    ISUPGenericReference class >> octalLength [ <category: 'field'> ^ 3 ]
    ISUPGenericReference class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPGenericReference class >> spec [ <category: 'field'> ^ '3.27' ]
]

MSGFixedField subclass: ISUPHopCounter [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPHopCounter class >> parameterName [ <category: 'field'> ^ 'Hop counter' ]
    ISUPHopCounter class >> parameterValue [ <category: 'field'> ^ ISUPConstants parHopCounter ]
    ISUPHopCounter class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPHopCounter class >> spec [ <category: 'field'> ^ '3.80' ]
]

MSGFixedField subclass: ISUPBackwardCallIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPBackwardCallIndicators class >> parameterName [ <category: 'field'> ^ 'Backward call indicators' ]
    ISUPBackwardCallIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parBackwardCallIndicators ]
    ISUPBackwardCallIndicators class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPBackwardCallIndicators class >> spec [ <category: 'field'> ^ '3.5' ]
]

MSGFixedField subclass: ISUPClosedUserGroupInterlockCode [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPClosedUserGroupInterlockCode class >> parameterName [ <category: 'field'> ^ 'Closed user group interlock code' ]
    ISUPClosedUserGroupInterlockCode class >> parameterValue [ <category: 'field'> ^ ISUPConstants parClosedUserGroupInterlockCode ]
    ISUPClosedUserGroupInterlockCode class >> octalLength [ <category: 'field'> ^ 4 ]
    ISUPClosedUserGroupInterlockCode class >> spec [ <category: 'field'> ^ '3.15' ]
]

MSGVariableField subclass: ISUPRangeAndStatus [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPRangeAndStatus class >> parameterName [ <category: 'field'> ^ 'Range and status' ]
    ISUPRangeAndStatus class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRangeAndStatus ]
    ISUPRangeAndStatus class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPRangeAndStatus class >> maxLength [ <category: 'field'> ^ 33 ]
    ISUPRangeAndStatus class >> spec [ <category: 'field'> ^ '3.43' ]
]

MSGFixedField subclass: ISUPRedirectStatus [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPRedirectStatus class >> parameterName [ <category: 'field'> ^ 'Redirect status' ]
    ISUPRedirectStatus class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectStatus ]
    ISUPRedirectStatus class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPRedirectStatus class >> spec [ <category: 'field'> ^ '3.98' ]
]

MSGVariableField subclass: ISUPCallOfferingTreatmentIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCallOfferingTreatmentIndicators class >> parameterName [ <category: 'field'> ^ 'Call offering treatment indicators' ]
    ISUPCallOfferingTreatmentIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallOfferingTreatmentIndicators ]
    ISUPCallOfferingTreatmentIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPCallOfferingTreatmentIndicators class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCallOfferingTreatmentIndicators class >> spec [ <category: 'field'> ^ '3.74' ]
]

MSGVariableField subclass: ISUPServiceActivation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPServiceActivation class >> parameterName [ <category: 'field'> ^ 'Service activation' ]
    ISUPServiceActivation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parServiceActivation ]
    ISUPServiceActivation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPServiceActivation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPServiceActivation class >> spec [ <category: 'field'> ^ '3.49' ]
]

MSGVariableField subclass: ISUPGenericNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPGenericNumber class >> parameterName [ <category: 'field'> ^ 'Generic number' ]
    ISUPGenericNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parGenericNumber ]
    ISUPGenericNumber class >> octalLength [ <category: 'field'> ^ 3 ]
    ISUPGenericNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPGenericNumber class >> spec [ <category: 'field'> ^ '3.26' ]
]

MSGVariableField subclass: ISUPRedirectingNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPRedirectingNumber class >> parameterName [ <category: 'field'> ^ 'Redirecting number' ]
    ISUPRedirectingNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parRedirectingNumber ]
    ISUPRedirectingNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPRedirectingNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPRedirectingNumber class >> spec [ <category: 'field'> ^ '3.44' ]
]

MSGFixedField subclass: ISUPOptionalBackwardCallIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPOptionalBackwardCallIndicators class >> parameterName [ <category: 'field'> ^ 'Optional backward call indicators' ]
    ISUPOptionalBackwardCallIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parOptionalBackwardCallIndicators ]
    ISUPOptionalBackwardCallIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPOptionalBackwardCallIndicators class >> spec [ <category: 'field'> ^ '3.37' ]
]

MSGVariableField subclass: ISUPOriginalCalledINNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPOriginalCalledINNumber class >> parameterName [ <category: 'field'> ^ 'Original called IN number' ]
    ISUPOriginalCalledINNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parOriginalCalledINNumber ]
    ISUPOriginalCalledINNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPOriginalCalledINNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPOriginalCalledINNumber class >> spec [ <category: 'field'> ^ '3.87' ]
]

MSGFixedField subclass: ISUPEventInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPEventInformation class >> parameterName [ <category: 'field'> ^ 'Event information' ]
    ISUPEventInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parEventInformation ]
    ISUPEventInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPEventInformation class >> spec [ <category: 'field'> ^ '3.21' ]
]

MSGVariableField subclass: ISUPPivotRoutingBackwardInformation [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPPivotRoutingBackwardInformation class >> parameterName [ <category: 'field'> ^ 'Pivot routing backward information' ]
    ISUPPivotRoutingBackwardInformation class >> parameterValue [ <category: 'field'> ^ ISUPConstants parPivotRoutingBackwardInformation ]
    ISUPPivotRoutingBackwardInformation class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPPivotRoutingBackwardInformation class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPPivotRoutingBackwardInformation class >> spec [ <category: 'field'> ^ '3.95' ]
]

MSGVariableField subclass: ISUPCircuitAssignmentMap [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCircuitAssignmentMap class >> parameterName [ <category: 'field'> ^ 'Circuit assignment map' ]
    ISUPCircuitAssignmentMap class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCircuitAssignmentMap ]
    ISUPCircuitAssignmentMap class >> octalLength [ <category: 'field'> ^ 4 ]
    ISUPCircuitAssignmentMap class >> maxLength [ <category: 'field'> ^ 5 ]
    ISUPCircuitAssignmentMap class >> spec [ <category: 'field'> ^ '3.69' ]
]

MSGFixedField subclass: ISUPMCIDResponseIndicators [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP fixed field.'>

    ISUPMCIDResponseIndicators class >> parameterName [ <category: 'field'> ^ 'MCID response indicators' ]
    ISUPMCIDResponseIndicators class >> parameterValue [ <category: 'field'> ^ ISUPConstants parMCIDResponseIndicators ]
    ISUPMCIDResponseIndicators class >> octalLength [ <category: 'field'> ^ 1 ]
    ISUPMCIDResponseIndicators class >> spec [ <category: 'field'> ^ '3.32' ]
]

MSGVariableField subclass: ISUPCallTransferNumber [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP variable.'>

    ISUPCallTransferNumber class >> parameterName [ <category: 'field'> ^ 'Call transfer number' ]
    ISUPCallTransferNumber class >> parameterValue [ <category: 'field'> ^ ISUPConstants parCallTransferNumber ]
    ISUPCallTransferNumber class >> octalLength [ <category: 'field'> ^ 2 ]
    ISUPCallTransferNumber class >> maxLength [ <category: 'field'> ^ nil ]
    ISUPCallTransferNumber class >> spec [ <category: 'field'> ^ '3.64' ]
]

"MSGs for ISUP"
ISUPMessage subclass: ISUPACM [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPACM class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgACM)
        addFixed: ISUPBackwardCallIndicators;
        addOptional: ISUPOptionalBackwardCallIndicators;
        addOptional: ISUPCallReference;
        addOptional: ISUPCauseIndicators;
        addOptional: ISUPUserToUserIndicators;
        addOptional: ISUPUserToUserInformation;
        addOptional: ISUPAccessTransport;
        addOptionals: ISUPGenericNotificationIndicator;
        addOptional: ISUPTransmissionMediumUsed;
        addOptional: ISUPEchoControlInformation;
        addOptional: ISUPAccessDeliveryInformation;
        addOptional: ISUPRedirectionNumber;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPCallDiversionInformation;
        addOptional: ISUPNetworkSpecificFacility;
        addOptional: ISUPRemoteOperations;
        addOptional: ISUPServiceActivation;
        addOptional: ISUPRedirectionNumberRestriction;
        addOptional: ISUPConferenceTreatmentIndicators;
        addOptional: ISUPUIDActionIndicators;
        addOptionals: ISUPApplicationTransportParameter;
        addOptional: ISUPCCNRPossibleIndicator;
        addOptional: ISUPHTRInformation;
        addOptional: ISUPPivotRoutingBackwardInformation;
        addOptional: ISUPRedirectStatus;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPAMN [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPAMN class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgAMN)
        addOptional: ISUPBackwardCallIndicators;
        addOptional: ISUPOptionalBackwardCallIndicators;
        addOptional: ISUPCallReference;
        addOptional: ISUPUserToUserIndicators;
        addOptional: ISUPUserToUserInformation;
        addOptional: ISUPConnectedNumber;
        addOptional: ISUPAccessTransport;
        addOptional: ISUPAccessDeliveryInformation;
        addOptionals: ISUPGenericNotificationIndicator;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPBackwardGVNS;
        addOptional: ISUPCallHistoryInformation;
        addOptional: ISUPGenericNumber;
        addOptional: ISUPTransmissionMediumUsed;
        addOptional: ISUPNetworkSpecificFacility;
        addOptional: ISUPRemoteOperations;
        addOptional: ISUPRedirectionNumber;
        addOptional: ISUPServiceActivation;
        addOptional: ISUPEchoControlInformation;
        addOptional: ISUPRedirectionNumberRestriction;
        addOptional: ISUPDisplayInformation;
        addOptional: ISUPConferenceTreatmentIndicators;
        addOptionals: ISUPApplicationTransportParameter;
        addOptional: ISUPPivotRoutingBackwardInformation;
        addOptional: ISUPRedirectStatus;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPAPT [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPAPT class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgAPT)
        addOptional: ISUPMessageCompatibilityInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPApplicationTransportParameter;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPBLO [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPBLO class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgBLO)
        yourself.
    ]
]


ISUPMessage subclass: ISUPCFN [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPCFN class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgCFN)
        addVariable: ISUPCauseIndicators;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPCGB [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPCGB class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgCGB)
        addFixed: ISUPCircuitGroupSupervisionMessageType;
        addVariable: ISUPRangeAndStatus;
        yourself.
    ]
]


ISUPMessage subclass: ISUPCON [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPCON class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgCON)
        addFixed: ISUPBackwardCallIndicators;
        addOptional: ISUPOptionalBackwardCallIndicators;
        addOptional: ISUPBackwardGVNS;
        addOptional: ISUPConnectedNumber;
        addOptional: ISUPCallReference;
        addOptional: ISUPUserToUserIndicators;
        addOptional: ISUPUserToUserInformation;
        addOptional: ISUPAccessTransport;
        addOptional: ISUPNetworkSpecificFacility;
        addOptionals: ISUPGenericNotificationIndicator;
        addOptional: ISUPRemoteOperations;
        addOptional: ISUPTransmissionMediumUsed;
        addOptional: ISUPEchoControlInformation;
        addOptional: ISUPAccessDeliveryInformation;
        addOptional: ISUPCallHistoryInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPServiceActivation;
        addOptional: ISUPGenericNumber;
        addOptional: ISUPRedirectionNumberRestriction;
        addOptional: ISUPConferenceTreatmentIndicators;
        addOptionals: ISUPApplicationTransportParameter;
        addOptional: ISUPHTRInformation;
        addOptional: ISUPPivotRoutingBackwardInformation;
        addOptional: ISUPRedirectStatus;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPCOT [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPCOT class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgCOT)
        addFixed: ISUPContinuityIndicators;
        yourself.
    ]
]


ISUPMessage subclass: ISUPCPG [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPCPG class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgCPG)
        addFixed: ISUPEventInformation;
        addOptional: ISUPCauseIndicators;
        addOptional: ISUPCallReference;
        addOptional: ISUPBackwardCallIndicators;
        addOptional: ISUPOptionalBackwardCallIndicators;
        addOptional: ISUPAccessTransport;
        addOptional: ISUPUserToUserIndicators;
        addOptional: ISUPRedirectionNumber;
        addOptional: ISUPUserToUserInformation;
        addOptionals: ISUPGenericNotificationIndicator;
        addOptional: ISUPNetworkSpecificFacility;
        addOptional: ISUPRemoteOperations;
        addOptional: ISUPTransmissionMediumUsed;
        addOptional: ISUPAccessDeliveryInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPCallDiversionInformation;
        addOptional: ISUPServiceActivation;
        addOptional: ISUPRedirectionNumberRestriction;
        addOptional: ISUPCallTransferNumber;
        addOptional: ISUPEchoControlInformation;
        addOptional: ISUPConnectedNumber;
        addOptional: ISUPBackwardGVNS;
        addOptional: ISUPGenericNumber;
        addOptional: ISUPCallHistoryInformation;
        addOptional: ISUPConferenceTreatmentIndicators;
        addOptional: ISUPUIDActionIndicators;
        addOptionals: ISUPApplicationTransportParameter;
        addOptional: ISUPCCNRPossibleIndicator;
        addOptional: ISUPPivotRoutingBackwardInformation;
        addOptional: ISUPRedirectStatus;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPCQR [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPCQR class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgCQR)
        addVariable: ISUPRange;
        addVariable: ISUPCircuitStateIndicator;
        yourself.
    ]
]


ISUPMessage subclass: ISUPFAA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPFAA class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgFAA)
        addFixed: ISUPFacilityIndicator;
        addOptional: ISUPUserToUserIndicators;
        addOptional: ISUPCallReference;
        addOptional: ISUPConnectionRequest;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPFAC [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPFAC class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgFAC)
        addOptional: ISUPMessageCompatibilityInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPRemoteOperations;
        addOptional: ISUPServiceActivation;
        addOptional: ISUPCallTransferNumber;
        addOptional: ISUPAccessTransport;
        addOptional: ISUPGenericNotificationIndicator;
        addOptional: ISUPRedirectionNumber;
        addOptional: ISUPPivotRoutingIndicators;
        addOptional: ISUPPivotStatus;
        addOptional: ISUPPivotCounter;
        addOptional: ISUPPivotRoutingBackwardInformation;
        addOptional: ISUPRedirectStatus;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPFOT [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPFOT class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgFOT)
        addOptional: ISUPCallReference;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPFRJ [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPFRJ class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgFRJ)
        addFixed: ISUPFacilityIndicator;
        addVariable: ISUPCauseIndicators;
        addOptional: ISUPUserToUserIndicators;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPGRA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPGRA class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgGRA)
        addVariable: ISUPRangeAndStatus;
        yourself.
    ]
]


ISUPMessage subclass: ISUPGRS [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPGRS class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgGRS)
        addVariable: ISUPRange;
        yourself.
    ]
]


ISUPMessage subclass: ISUPIAM [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPIAM class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgIAM)
        addFixed: ISUPNatureOfConnectionIndicators;
        addFixed: ISUPForwardCallIndicators;
        addFixed: ISUPCallingPartysCategory;
        addFixed: ISUPTransmissionMediumRequirement;
        addVariable: ISUPCalledPartyNumber;
        addOptional: ISUPTransitNetworkSelection;
        addOptional: ISUPCallReference;
        addOptional: ISUPCallingPartyNumber;
        addOptional: ISUPOptionalForwardCallIndicators;
        addOptional: ISUPRedirectingNumber;
        addOptional: ISUPRedirectionInformation;
        addOptional: ISUPClosedUserGroupInterlockCode;
        addOptional: ISUPConnectionRequest;
        addOptional: ISUPOriginalCalledNumber;
        addOptional: ISUPUserToUserInformation;
        addOptional: ISUPAccessTransport;
        addOptional: ISUPUserServiceInformation;
        addOptional: ISUPUserToUserIndicators;
        addOptional: ISUPGenericNumber;
        addOptional: ISUPPropagationDelayCounter;
        addOptional: ISUPUserServiceInformationPrime;
        addOptional: ISUPNetworkSpecificFacility;
        addOptionals: ISUPGenericDigits;
        addOptional: ISUPOriginationISCPointCode;
        addOptional: ISUPUserTeleserviceInformation;
        addOptional: ISUPRemoteOperations;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptionals: ISUPGenericNotificationIndicator;
        addOptional: ISUPServiceActivation;
        addOptional: ISUPGenericReference;
        addOptional: ISUPMLPPPrecedence;
        addOptional: ISUPTransmissionMediumRequirementPrime;
        addOptional: ISUPLocationNumber;
        addOptional: ISUPForwardGVNS;
        addOptional: ISUPCCSS;
        addOptional: ISUPNetworkManagementControls;
        addOptional: ISUPCircuitAssignmentMap;
        addOptional: ISUPCorrelationId;
        addOptional: ISUPCallDiversionTreatmentIndicators;
        addOptional: ISUPCalledINNumber;
        addOptional: ISUPCallOfferingTreatmentIndicators;
        addOptional: ISUPConferenceTreatmentIndicators;
        addOptional: ISUPSCFId;
        addOptional: ISUPUIDCapabilityIndicators;
        addOptional: ISUPEchoControlInformation;
        addOptional: ISUPHopCounter;
        addOptional: ISUPCollectCallRequest;
        addOptionals: ISUPApplicationTransportParameter;
        addOptional: ISUPPivotCapability;
        addOptional: ISUPCalledDirectoryNumber;
        addOptional: ISUPOriginalCalledINNumber;
        addOptional: ISUPCallingGeodeticLocation;
        addOptional: ISUPNetworkRoutingNumber;
        addOptional: ISUPQoRCapability;
        addOptional: ISUPPivotCounter;
        addOptional: ISUPPivotRoutingForwardInformation;
        addOptional: ISUPRedirectCapability;
        addOptional: ISUPRedirectCounter;
        addOptional: ISUPRedirectStatus;
        addOptional: ISUPRedirectForwardInformation;
        addOptional: ISUPNumberPortabilityForwardInformation;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPIDR [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPIDR class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgIDR)
        addOptional: ISUPMCIDRequestIndicators;
        addOptional: ISUPMessageCompatibilityInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPIDS [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPIDS class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgIDS)
        addOptional: ISUPMCIDResponseIndicators;
        addOptional: ISUPMessageCompatibilityInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPCallingPartyNumber;
        addOptional: ISUPAccessTransport;
        addOptional: ISUPGenericNumber;
        addOptional: ISUPChargedPartyIdentification;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPINF [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPINF class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgINF)
        addFixed: ISUPInformationIndicators;
        addOptional: ISUPCallingPartysCategory;
        addOptional: ISUPCallingPartyNumber;
        addOptional: ISUPCallReference;
        addOptional: ISUPConnectionRequest;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPNetworkSpecificFacility;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPINR [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPINR class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgINR)
        addFixed: ISUPInformationRequestIndicators;
        addOptional: ISUPCallReference;
        addOptional: ISUPNetworkSpecificFacility;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPLPR [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPLPR class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgLPR)
        addOptional: ISUPMessageCompatibilityInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPCallTransferReference;
        addOptional: ISUPLoopPreventionIndicators;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPNRM [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPNRM class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgNRM)
        addOptional: ISUPMessageCompatibilityInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPEchoControlInformation;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPPRI [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPPRI class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgPRI)
        addOptional: ISUPMessageCompatibilityInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptionals: ISUPOptionalForwardCallIndicators;
        addOptionals: ISUPOptionalBackwardCallIndicators;
        addOptional: ISUPApplicationTransportParameter;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPREL [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPREL class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgREL)
        addVariable: ISUPCauseIndicators;
        addOptional: ISUPRedirectionInformation;
        addOptional: ISUPRedirectionNumber;
        addOptional: ISUPAccessTransport;
        addOptional: ISUPSignallingPointCode;
        addOptional: ISUPUserToUserInformation;
        addOptional: ISUPAutomaticCongestionLevel;
        addOptional: ISUPNetworkSpecificFacility;
        addOptional: ISUPAccessDeliveryInformation;
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPUserToUserIndicators;
        addOptional: ISUPDisplayInformation;
        addOptional: ISUPRemoteOperations;
        addOptional: ISUPHTRInformation;
        addOptional: ISUPRedirectCounter;
        addOptional: ISUPRedirectBackwardInformation;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPRES [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPRES class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgRES)
        addFixed: ISUPSuspendResumeIndicators;
        addOptional: ISUPCallReference;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPRLC [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPRLC class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgRLC)
        addOptional: ISUPCauseIndicators;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPSAM [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPSAM class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgSAM)
        addVariable: ISUPSubsequentNumber;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPSAN [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPSAN class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgSAN)
        addOptional: ISUPSubsequentNumber;
        addOptional: ISUPMessageCompatibilityInformation;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPSEG [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPSEG class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgSEG)
        addOptional: ISUPAccessTransport;
        addOptional: ISUPUserToUserInformation;
        addOptional: ISUPMessageCompatibilityInformation;
        addOptionals: ISUPGenericDigits;
        addOptionals: ISUPGenericNotificationIndicator;
        addOptional: ISUPGenericNumber;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPUPT [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPUPT class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgUPT)
        addOptional: ISUPParameterCompatibilityInformation;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPMessage subclass: ISUPUSR [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am auto-generated ISUP message.'>

    ISUPUSR class >> tlvDescription [
        <category: 'field'>
        ^ (self initWith: ISUPConstants msgUSR)
        addVariable: ISUPUserToUserInformation;
        addOptional: ISUPAccessTransport;
        addOptional: ISUPEndOfOptionalParameters;
        yourself.
    ]
]


ISUPBLO subclass: ISUPBLA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPBLA class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgBLA; yourself
    ]
]


ISUPBLO subclass: ISUPCCR [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPCCR class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgCCR; yourself
    ]
]


ISUPCGB subclass: ISUPCGBA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPCGBA class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgCGBA; yourself
    ]
]


ISUPCGB subclass: ISUPCGUA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPCGUA class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgCGUA; yourself
    ]
]


ISUPCGB subclass: ISUPCGU [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPCGU class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgCGU; yourself
    ]
]


ISUPFAA subclass: ISUPFAR [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPFAR class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgFAR; yourself
    ]
]


ISUPGRS subclass: ISUPGRA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPGRA class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgGRA; yourself
    ]
]


ISUPBLO subclass: ISUPLPA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPLPA class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgLPA; yourself
    ]
]


ISUPBLO subclass: ISUPOLM [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPOLM class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgOLM; yourself
    ]
]


ISUPBLO subclass: ISUPRSC [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPRSC class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgRSC; yourself
    ]
]


ISUPRES subclass: ISUPSUS [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPSUS class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgSUS; yourself
    ]
]


ISUPBLO subclass: ISUPUBA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPUBA class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgUBA; yourself
    ]
]


ISUPBLO subclass: ISUPUBL [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPUBL class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgUBL; yourself
    ]
]


ISUPBLO subclass: ISUPUCIC [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPUCIC class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgUCIC; yourself
    ]
]


ISUPUPT subclass: ISUPUPA [
    <category: 'OsmoNetwork-ISUP'>
    <comment: 'I am an auto generated ISUP message.'>

    ISUPUPA class >> tlvDescription [
        <category: 'field'>
        ^ (super tlvDescription)
                type: ISUPConstants msgUPA; yourself
    ]
]

